Skip to main content
POST
JavaScript
10 Credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Exactly one lookup type must be provided.

type
enum<string>
required

Discriminator for domain-based brand retrieval.

Available options:
by_domain
domain
string
required

Domain name to retrieve brand data for (e.g., 'stripe.com').

Minimum string length: 3
force_language
enum<string>

Language to force for the retrieved brand data.

Available options:
afrikaans,
albanian,
amharic,
arabic,
armenian,
assamese,
aymara,
azeri,
basque,
belarusian,
bengali,
bosnian,
bulgarian,
burmese,
cantonese,
catalan,
cebuano,
chinese,
corsican,
croatian,
czech,
danish,
dutch,
english,
esperanto,
estonian,
farsi,
fijian,
finnish,
french,
galician,
georgian,
german,
greek,
guarani,
gujarati,
haitian-creole,
hausa,
hawaiian,
hebrew,
hindi,
hmong,
hungarian,
icelandic,
igbo,
indonesian,
irish,
italian,
japanese,
javanese,
kannada,
kazakh,
khmer,
kinyarwanda,
korean,
kurdish,
kyrgyz,
lao,
latin,
latvian,
lingala,
lithuanian,
luxembourgish,
macedonian,
malagasy,
malay,
malayalam,
maltese,
maori,
marathi,
mongolian,
nepali,
norwegian,
odia,
oromo,
pashto,
pidgin,
polish,
portuguese,
punjabi,
quechua,
romanian,
russian,
samoan,
scottish-gaelic,
serbian,
sesotho,
shona,
sindhi,
sinhala,
slovak,
slovene,
somali,
spanish,
sundanese,
swahili,
swedish,
tagalog,
tajik,
tamil,
tatar,
telugu,
thai,
tibetan,
tigrinya,
tongan,
tswana,
turkish,
turkmen,
ukrainian,
urdu,
uyghur,
uzbek,
vietnamese,
welsh,
wolof,
xhosa,
yiddish,
yoruba,
zulu
maxSpeed
boolean

Optional parameter to optimize the API call for maximum speed. When set to true, the API will skip time-consuming operations for faster response at the cost of less comprehensive data.

maxAgeMs
integer

Maximum age in milliseconds for cached brand data before the API performs a hard refresh. Defaults to 3 months (7776000000 ms). Values below 1 day (86400000 ms) are clamped to 1 day; values above 1 year (31536000000 ms) are clamped to 1 year.

timeoutMS
integer

Optional timeout in milliseconds for the request. If the request takes longer than this value, it will be aborted with a 408 status code. Maximum allowed value is 300000ms (5 minutes).

Required range: 1000 <= x <= 300000
tags
string[]

Optional tags for tracking usage. Up to 20 tags, each 1 to 50 characters.

Maximum array length: 20
Required string length: 1 - 50
Example:

Response

Successful response

status
string

Status of the response, e.g., 'ok'

brand
object

Detailed brand information

code
integer

HTTP status code

key_metadata
object

Metadata about the API key used for the request. Included in every response whenever a valid API key is provided, even when the response status is not 200.